%undefine __libtoolize
%define _optlevel s

Name: kvirc
%define major 3
%define minor 4
%define bugfix 2
%define rlz alt0.M41.1
%define beta %nil

Version: %major.%minor.%bugfix
%if "%beta" == "%nil"
Release: %rlz
%else
Release: %rlz.%beta
%endif

Group: Networking/IRC
Summary: KDE Enhanced Visual IRC Client
Url: http://www.kvirc.net/
License: GPL

Requires: kdelibs >= %{get_version kdelibs}
Requires: url_handler

%if "%beta" == "%nil"
Source0: %name-%version.tar.bz2
%else
Source0: %name-%version-%beta.tar.bz2
%endif
Patch1: kvirc-3.2.5-alt-browser.patch
Patch2: kvirc-3.2.6-alt-fix-linking.patch
Patch3: kvirc-3.2.1-alt-desktop.patch

# Automatically added by buildreq on Sun Aug 28 2005
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glib2 kdelibs-devel libarts-devel libaudiofile-devel libqt3-devel libssl-devel libstdc++-devel perl-devel
BuildRequires: xorg-x11-devel libqt3-devel gcc-c++ chrpath
BuildRequires: glib2 kdelibs-devel libarts-devel libaudiofile-devel
BuildRequires: libssl-devel libstdc++-devel perl-devel libgsm-devel

%description
KVIrc is an enchanced visual irc client. Features:
 - MDI interface
 - CTCP's
 - DCC CHAT SEND/GET
 - Individual queries
 - Scripting
 - Aliases
 - Events (remote)
 - Complete color,background and behavior configuration
 - IPv6 support

%package devel
Summary: Header files for KVirc library
Group: Development/KDE and QT
Requires: %name = %version-%release

%description devel
Header files for KVirc library.

%prep
%if "%beta" == "%nil"
%setup -q -n %name-%version
%else
%setup -q -n %name-%version-%beta
%endif
%patch1 -p1
#%patch2 -p1
%patch3 -p1

#%__subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
#%__subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
#%__subst "s/\-lkdecore/-lkdecore -lpthread/g" admin/acinclude.m4.in
#%__subst "s/\-lkdefx/-lkdefx -lpthread/g" admin/acinclude.m4.in
#%__subst 's,\.la,\.so,' admin/acinclude.m4.in
#%make -f admin/Makefile.common cvs
./autogen.sh --bundled-libtool

%build
export QTDIR=%_qt3dir
#export LDFLAGS="-L%_qt3dir/lib -L%_x11libdir"
%configure \
	--disable-rpath \
	--disable-static \
	--enable-shared \
	--enable-dependency-tracking \
	--enable-optimisation=%_optlevel \
%ifarch %ix86
	--with-ix86-asm \
%endif
	--enable-perl \
	--with-x \
	--with-kde-library-dir=%_libdir \
	--with-big-channels \
	--without-esd-support \
	--with-libresolv

%make_build

%install
%make install \
    DESTDIR=%buildroot \
    applnkdir=%_datadir/applications

chrpath -d %buildroot/%_bindir/kvirc

rm -rf scriptexamples
cp -ar doc/scriptexamples scriptexamples
find scriptexamples -type f -name Makefile\* | while read f; do rm -f "$f"; done

if ! [ -d %buildroot/%_libdir/%name/%major.%minor/modules ]
then
    %__mkdir_p %buildroot/%_libdir/%name/%major.%minor
    %__mv %buildroot/%_datadir/%name/%major.%minor/modules %buildroot/%_libdir/%name/%major.%minor/
    ln -s ../../../../%_libdir/%name/%major.%minor/modules %buildroot/%_datadir/%name/%major.%minor/modules
fi
%__mv %buildroot/%_datadir/services/irc.protocol %buildroot/%_datadir/services/%{name}_irc.protocol
%__mv %buildroot/%_datadir/services/irc6.protocol %buildroot/%_datadir/services/%{name}_irc6.protocol


%post
%update_menus
%post_ldconfig
%postun
%clean_menus
%postun_ldconfig


%files
%doc README TODO scriptexamples
%attr(755,root,root) %_bindir/kvi_*
%attr(755,root,root) %_bindir/kvirc
%_libdir/lib*.so*
%dir %_libdir/kvirc
%dir %_libdir/kvirc/%major.%minor
%dir %_libdir/kvirc/%major.%minor/modules
%_libdir/kvirc/%major.%minor/modules/caps
%_libdir/kvirc/%major.%minor/modules/*.so
%_libdir/kvirc/%major.%minor/modules/*.la

%_datadir/services/*
%_datadir/mimelnk/text/x-kv?.desktop

%_iconsdir/hicolor/*/apps/%name.*
%_iconsdir/hicolor/*/mimetypes/kv?.*

%_datadir/applications/%name.desktop

%dir %_datadir/kvirc
%dir %_datadir/kvirc/%major.%minor
%_datadir/kvirc/%major.%minor/config
%_datadir/kvirc/%major.%minor/defscript
%_datadir/kvirc/%major.%minor/pics
%_datadir/kvirc/%major.%minor/help
%_datadir/kvirc/%major.%minor/locale
%_datadir/kvirc/%major.%minor/license
%_datadir/kvirc/%major.%minor/modules
%_datadir/kvirc/%major.%minor/msgcolors
%_datadir/kvirc/%major.%minor/themes
%_man1dir/*

%files devel
%attr(755,root,root) %_bindir/kvirc-config
%_includedir/%name

%changelog
* Fri Dec 05 2008 Sergey V Turchin <zerg at altlinux dot org> 3.4.2-alt0.M41.1
- built for M41

* Thu Nov 06 2008 Sergey V Turchin <zerg at altlinux dot org> 3.4.2-alt1
- new version

* Tue Aug 12 2008 Sergey V Turchin <zerg at altlinux dot org> 3.4.0.2228-alt1
- update from svn 3.4/branch r2228

* Thu Mar 27 2008 Sergey V Turchin <zerg at altlinux dot org> 3.4.0-alt1
- new version

* Fri Mar 07 2008 Sergey V Turchin <zerg at altlinux dot org> 3.2.6-alt3.r1070
- udpate from svn r1070

* Wed Jun 27 2007 Sergey V Turchin <zerg at altlinux dot org> 3.2.6-alt2
- add fix for CVE-2007-2951

* Tue Jan 09 2007 Sergey V Turchin <zerg at altlinux dot org> 3.2.6-alt1
- new version

* Mon Oct 02 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.5-alt2
- fix dock icon

* Fri Sep 22 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.5-alt1
- new version
- add patch to set main window active when click dock
- update some icons

* Mon Sep 04 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.4-alt3
- fix menu entry

* Wed Aug 30 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.4-alt2
- add new icons

* Tue Aug 29 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.4-alt1
- new version

* Mon Jun 05 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt2
- fix built on x86_64
- fix showing minimized main window by clicking on dock

* Thu Jun 01 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt1
- new version

* Mon Apr 24 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt0.14.cvs20060424
- new cvs snapshot

* Fri Mar 31 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.1-alt0.13.cvs20060329
- remove rpath

* Wed Mar 29 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.1-alt0.12.cvs20060329
- built for Sisyphus

* Wed Mar 22 2006 Zerg <zerg at altlinux dot org> 3.2.1-alt0.11.M30
- update from cvs

* Wed Mar 15 2006 Zerg <zerg at altlinux dot org> 3.2.1-alt0.10.M30
- update from cvs

* Sat Mar 04 2006 Zerg <zerg at altlinux dot ru> 3.2.0.20051230-alt0.9.M30
- update from cvs

* Tue Feb 28 2006 Zerg <zerg at altlinux dot ru> 3.2.0.20051230-alt0.8.M30
- update from cvs

* Fri Feb 24 2006 Zerg <zerg at altlinux dot ru> 3.2.0.20051230-alt0.7.M30
- fix alias(avatar) script

* Fri Feb 24 2006 Zerg <zerg at altlinux dot ru> 3.2.0.20051230-alt0.6.M30
- update from cvs

* Thu Feb 23 2006 Zerg <zerg at altlinux dot ru> 3.2.0.20051230-alt0.5.M30
- add patch to don't exit on close main window

* Thu Feb 23 2006 Zerg <zerg at altlinux dot ru> 3.2.0.20051230-alt0.4.M30
- update from cvs

* Thu Feb 23 2006 Zerg <zerg at altlinux dot ru> 3.2.0.20051230-alt0.3.M30
- update from cvs

* Wed Jan 25 2006 Zerg <zerg at altlinux dot ru> 3.2.0-alt0.2.M30
- rebuilt for M30

* Sun Aug 28 2005 Zerg <zerg at altlinux dot ru> 3.2.0-0.1
- built for ALT
